## python-pychart 1.37

=== Makefile ===
SUBDIRS=doc demos PyChart

dist:
	python setup.py sdist

clean:
	rm -f *~
	-for dir in $(SUBDIRS); do $(MAKE) -C$$dir clean; done


install:
	scp dist/PyChart-1.37.tar.gz spica:web/intweb/personal/Yasushi_Saito/pychart
	scp -r doc/pychart/* spica:web/intweb/personal/Yasushi_Saito/pychart/doc
	scp doc/examples/* spica:web/intweb/personal/Yasushi_Saito/pychart/examples/
	baz changelog >,,changelog
	scp ,,changelog spica:web/intweb/personal/Yasushi_Saito/pychart/ChangeLog
