=== debian/changelog ===
python-pychart (1.39-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to source format 3.0 (quilt) and remove dpatch

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 09 Aug 2019 23:34:48 +0200

python-pychart (1.39-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786237.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Aug 2015 15:17:37 +0200

python-pychart (1.39-7) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * Vcs-Browser and Homepage fields added
  * XS-Vcs-Svn field renamed to Vcs-Svn

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field
    - switch Vcs-Browser field to viewsvn
    - bump Standards-Version to 3.8.1
      + added debian/README.source
    - added ${misc:Depends} to bin pkgs depends
    - replaced 'gs' (transitional package) with 'ghostscript'

  [ Luca Falavigna ]
  * Remove python-pychart.postinst and python-pychart.prerm, pysupport
    already invokes update-python-modules itself (Closes: #517067).
  * Add python-pychart-doc binary package (Closes: #507984).

  [ Raphael Hertzog ]
  * Remove myself from Uploaders.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Fri, 10 Apr 2009 12:07:26 +0200

python-pychart (1.39-6) unstable; urgency=low

  [Piotr Ozarowski] 

  * Added XS-Vcs-Svn field

  [Santiago Ruano Rincón]

  * Updated Build-Depends-Indep, using gs instead of gs-gpl|gs-esp
  * Recommends: gs. (Closes: #411516)
  * Updated description

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 22 Feb 2007 02:08:12 -0500

python-pychart (1.39-5) unstable; urgency=low

  * Add missing build-depends-indep. Closes: #379560

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 24 Jul 2006 12:53:11 +0200

python-pychart (1.39-4) unstable; urgency=low

  * Update for the new Python policy. Closes: #373341

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 23 Jun 2006 21:19:15 +0200

python-pychart (1.39-3) unstable; urgency=low

  * The "I'm tired of working on my thesis project" release.
  * Initial python-support transition, using cdbs to build the package.
    python2.{3,4}-pychart deleted.
  * Standards-Version updated to 3.7.2
  * Added Debian Python Modules Team to Uploaders
  
 -- Santiago Ruano Rincón <santiago@debian.org>  Thu,  1 Jun 2006 00:02:50 -0500

python-pychart (1.39-2) unstable; urgency=low

  * python2.3-pychart and python2.4-pychart, changed to arch: all (Closes: #357179)
  * New maintainer mail address

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 20 Apr 2006 19:39:11 -0500

python-pychart (1.39-1) unstable; urgency=low

  * New upstream release
  * The documentation isn't builded, because it need latex2html, a non-free
    package.

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Mon,  6 Feb 2006 01:04:39 -0500

python-pychart (1.37-6) unstable; urgency=low

  * Removed binary package for python2.2 (Closes: #351152)

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Thu,  2 Feb 2006 23:00:01 -0500

python-pychart (1.37-5) unstable; urgency=low

  * Changed the description of python-pychart, from
    "empty dummy package" to "dependency metapackage".

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Thu,  3 Nov 2005 11:04:47 -0500

python-pychart (1.37-4) unstable; urgency=low

  * Fixed an error in demos/tocsturbo.py 
  * Updated to the 3.6.2 version of Debian Policy
  * Added a debian/watch file

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Mon,  1 Aug 2005 00:31:23 -0500

python-pychart (1.37-3) unstable; urgency=low

  * debian/rules clean: target improved, thanks to
    Marc 'HE' Brockschmidt <he@debian.org>

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Thu, 21 Jul 2005 23:13:10 -0500

python-pychart (1.37-2) unstable; urgency=low

  * Fixed the version and location of the License in debian/changelog
  * debian/rules fixed
  * Debhelper compatibility level set to 4
  * Added gs-esp as an alternative dependency to gs-gpl
  * Used the demos directory in the docs

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Mon, 16 May 2005 00:19:04 -0500

python-pychart (1.37-1) unstable; urgency=low

  * Initial Release. (Closes: #241214)

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Thu, 14 Apr 2005 23:00:38 -0500
