=== debian/control ===
Source: python-pychart
Section: python
Priority: optional
Maintainer: Santiago Ruano Rincón <santiago@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.42), debhelper, python-dev, dh-python
Build-Depends-Indep: ghostscript
Standards-Version: 3.8.1
Homepage: http://home.gna.org/pychart/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pychart/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pychart/trunk/

Package: python-pychart
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-pychart-doc
Replaces: python2.3-pychart, python2.4-pychart
Conflicts: python2.3-pychart, python2.4-pychart
Recommends: ghostscript
XB-Python-Version: ${python:Versions}
Description: Python library for creating high quality charts
 PyChart is a Python library for creating high quality 
 Encapsulated Postscript, PDF, PNG, or SVG charts. It 
 currently supports line plots, bar plots, range-fill 
 plots, and pie charts. Because it is based on Python, 
 you can make full use of Python's scripting power. 
 .
 You need to have ghostscript installed for PNG generation 
 and X11 displaying.

Package: python-pychart-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python-pychart
Description: Documentation for PyChart
 PyChart is a Python library for creating high quality 
 Encapsulated Postscript, PDF, PNG, or SVG charts. It 
 currently supports line plots, bar plots, range-fill 
 plots, and pie charts. Because it is based on Python, 
 you can make full use of Python's scripting power. 
 .
 This package contains PyChart documentations and example files.
