=== debian/watch ===
# Site                         Pattern                 Version Script
version=3
http://download.gna.org/pychart/ PyChart-(.*)\.tar\.gz debian uupdate
